Package com.sun.jna.platform.win32

# Class OaIdlUtil

java.lang.Object
com.sun.jna.platform.win32.OaIdlUtil

public abstract class OaIdlUtil extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OaIdlUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object`
  `toPrimitiveArray(OaIdl.SAFEARRAY sa, boolean destruct)`
  Read SAFEARRAY into a java array.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OaIdlUtil

    public OaIdlUtil()

- ## Method Details

  - ### toPrimitiveArray

    public static Object toPrimitiveArray(OaIdl.SAFEARRAY sa, boolean destruct)
    Read SAFEARRAY into a java array. Not all VARTYPEs are supported!

    Supported types:

    - VT_BOOL
    - VT_UI1
    - VT_I1
    - VT_UI2
    - VT_I2
    - VT_UI4
    - VT_UINT
    - VT_I4
    - VT_INT
    - VT_ERROR
    - VT_R4
    - VT_R8
    - VT_DATE
    - VT_BSTR
    - VT_VARIANT (Onle the following VARTYPES):
      - VT_EMPTY (converted to NULL)
      - VT_NULL
      - VT_BOOL
      - VT_UI1
      - VT_I1
      - VT_UI2
      - VT_I2
      - VT_UI4
      - VT_UINT
      - VT_I4
      - VT_INT
      - VT_ERROR
      - VT_R4
      - VT_R8
      - VT_DATE
      - VT_BSTR
    Parameters:
      `sa` - SAFEARRAY to convert
      `destruct` - if true the supplied SAFEARRAY is destroyed, there must not be additional locks on the array!
    Returns:
      Java array corresponding to the given SAFEARRAY